<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__canfd__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_canfd_config_t</compoundname>
    <includes local="no">cy_canfd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__canfd__config__t_1ad1e96688270897e1705ca7b66e8844ae" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__data__structures_1ga7300609d8a0291692ae148456fee951c">cy_canfd_tx_msg_func_ptr_t</ref></type>
        <definition>cy_canfd_tx_msg_func_ptr_t cy_stc_canfd_config_t::txCallback</definition>
        <argsstring />
        <name>txCallback</name>
        <briefdescription>
<para>Callback function for transmit completed. </para>        </briefdescription>
        <detaileddescription>
<para>Can be NULL </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="986" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="986" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a4c1d3eeac750ecfa211f16bb114b40f0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__data__structures_1ga3fdd841e17fd4e706f5f217ca80a691a">cy_canfd_rx_msg_func_ptr_t</ref></type>
        <definition>cy_canfd_rx_msg_func_ptr_t cy_stc_canfd_config_t::rxCallback</definition>
        <argsstring />
        <name>rxCallback</name>
        <briefdescription>
<para>Callback function for receive completed. </para>        </briefdescription>
        <detaileddescription>
<para>Can be NULL </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="989" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="989" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a66f9add9dd98537b2d1d4c1b369fe0e1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__data__structures_1gae198512e1fb6df10b86da3a393b536ec">cy_canfd_error_func_ptr_t</ref></type>
        <definition>cy_canfd_error_func_ptr_t cy_stc_canfd_config_t::errorCallback</definition>
        <argsstring />
        <name>errorCallback</name>
        <briefdescription>
<para>Callback function for CAN related errors. </para>        </briefdescription>
        <detaileddescription>
<para>Can be NULL </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="992" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="992" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a4e646590fd0340412706240165b2ca5b" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_canfd_config_t::canFDMode</definition>
        <argsstring />
        <name>canFDMode</name>
        <briefdescription>
<para>TRUE:CAN FD mode, FALSE:Classic CAN mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="995" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="995" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a4f9e70770fabc4e2f30fe3afb1e5bdbc" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__canfd__bitrate__t">cy_stc_canfd_bitrate_t</ref> *</type>
        <definition>const cy_stc_canfd_bitrate_t* cy_stc_canfd_config_t::bitrate</definition>
        <argsstring />
        <name>bitrate</name>
        <briefdescription>
<para>CAN bitrate setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="996" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="996" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a19c6a983ebc83d9d41b91051c3ac1475" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__canfd__bitrate__t">cy_stc_canfd_bitrate_t</ref> *</type>
        <definition>const cy_stc_canfd_bitrate_t* cy_stc_canfd_config_t::fastBitrate</definition>
        <argsstring />
        <name>fastBitrate</name>
        <briefdescription>
<para>CAN Fast bitrate setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="997" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="997" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1af81798ff8af877f4020a1fe32de2204c" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__canfd__transceiver__delay__compensation__t">cy_stc_canfd_transceiver_delay_compensation_t</ref> *</type>
        <definition>const cy_stc_canfd_transceiver_delay_compensation_t* cy_stc_canfd_config_t::tdcConfig</definition>
        <argsstring />
        <name>tdcConfig</name>
        <briefdescription>
<para>CAN transceiver delay compensation setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="998" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="998" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a5c9e57996362783bb00ebf6a976b4de5" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__canfd__sid__filter__config__t">cy_stc_canfd_sid_filter_config_t</ref> *</type>
        <definition>const cy_stc_canfd_sid_filter_config_t* cy_stc_canfd_config_t::sidFilterConfig</definition>
        <argsstring />
        <name>sidFilterConfig</name>
        <briefdescription>
<para>CAN Standard ID filter setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1000" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1000" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a4ab0d26238c986888bf65ae80e0e175e" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__canfd__extid__filter__config__t">cy_stc_canfd_extid_filter_config_t</ref> *</type>
        <definition>const cy_stc_canfd_extid_filter_config_t* cy_stc_canfd_config_t::extidFilterConfig</definition>
        <argsstring />
        <name>extidFilterConfig</name>
        <briefdescription>
<para>CAN Extended ID filter setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1001" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1001" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1ad2da947ab1dff48e27e573b3507a09d5" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__canfd__global__filter__config__t">cy_stc_canfd_global_filter_config_t</ref> *</type>
        <definition>const cy_stc_canfd_global_filter_config_t* cy_stc_canfd_config_t::globalFilterConfig</definition>
        <argsstring />
        <name>globalFilterConfig</name>
        <briefdescription>
<para>CAN global filter setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1002" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1002" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1acdf11ae3147955283e3809dd1d6aff10" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga597fe2f69a8484277fd481ac5384ca7c">cy_en_canfd_buffer_data_size_t</ref></type>
        <definition>cy_en_canfd_buffer_data_size_t cy_stc_canfd_config_t::rxBufferDataSize</definition>
        <argsstring />
        <name>rxBufferDataSize</name>
        <briefdescription>
<para>Rx Buffer Data Size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1004" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1004" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1aba42ca078816d42e556a2c58311de0a9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga597fe2f69a8484277fd481ac5384ca7c">cy_en_canfd_buffer_data_size_t</ref></type>
        <definition>cy_en_canfd_buffer_data_size_t cy_stc_canfd_config_t::rxFIFO1DataSize</definition>
        <argsstring />
        <name>rxFIFO1DataSize</name>
        <briefdescription>
<para>Rx FIFO 1 Data Size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1005" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1005" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a6d0ff7799d658b6aa701de2c0e6a2b93" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga597fe2f69a8484277fd481ac5384ca7c">cy_en_canfd_buffer_data_size_t</ref></type>
        <definition>cy_en_canfd_buffer_data_size_t cy_stc_canfd_config_t::rxFIFO0DataSize</definition>
        <argsstring />
        <name>rxFIFO0DataSize</name>
        <briefdescription>
<para>Rx FIFO 0 Data Size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1006" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1006" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a69ecb6951bb6266be8cc50a578eda4ef" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga597fe2f69a8484277fd481ac5384ca7c">cy_en_canfd_buffer_data_size_t</ref></type>
        <definition>cy_en_canfd_buffer_data_size_t cy_stc_canfd_config_t::txBufferDataSize</definition>
        <argsstring />
        <name>txBufferDataSize</name>
        <briefdescription>
<para>Tx Buffer Data Size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1007" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1007" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1ad7ec96f89dad017a8e88b1062dc84744" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__en__canfd__fifo__config__t">cy_en_canfd_fifo_config_t</ref> *</type>
        <definition>const cy_en_canfd_fifo_config_t* cy_stc_canfd_config_t::rxFIFO0Config</definition>
        <argsstring />
        <name>rxFIFO0Config</name>
        <briefdescription>
<para>Rx FIFO 0 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1009" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1009" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a2afbb08cdcc56f61464575173814c697" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__en__canfd__fifo__config__t">cy_en_canfd_fifo_config_t</ref> *</type>
        <definition>const cy_en_canfd_fifo_config_t* cy_stc_canfd_config_t::rxFIFO1Config</definition>
        <argsstring />
        <name>rxFIFO1Config</name>
        <briefdescription>
<para>Rx FIFO 1 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1010" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1010" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1aa1d31fe51cdec3d61ffc472a5437669c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_canfd_config_t::noOfRxBuffers</definition>
        <argsstring />
        <name>noOfRxBuffers</name>
        <briefdescription>
<para>Number of Rx Buffers (Max 64) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1011" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1011" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a0e1e8fcb815a5ac12419846bfa62983c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_canfd_config_t::noOfTxBuffers</definition>
        <argsstring />
        <name>noOfTxBuffers</name>
        <briefdescription>
<para>Number of Rx Buffers (Max 32) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1012" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1012" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1a35b74b67874a762aea0f8838b48c17d1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_canfd_config_t::messageRAMaddress</definition>
        <argsstring />
        <name>messageRAMaddress</name>
        <briefdescription>
<para>The start address of Message RAM for the channel. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1013" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1013" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__config__t_1af94ab4eadf197c0255f3e48110876a81" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_canfd_config_t::messageRAMsize</definition>
        <argsstring />
        <name>messageRAMsize</name>
        <briefdescription>
<para>The size in bytes of Message RAM for the channel. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1014" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1014" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CAN FD configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="18">
        <label>cy_stc_canfd_transceiver_delay_compensation_t</label>
        <link refid="structcy__stc__canfd__transceiver__delay__compensation__t" />
      </node>
      <node id="21">
        <label>cy_stc_canfd_r1_t</label>
        <link refid="structcy__stc__canfd__r1__t" />
      </node>
      <node id="14">
        <label>cy_stc_canfd_extid_filter_config_t</label>
        <link refid="structcy__stc__canfd__extid__filter__config__t" />
        <childnode refid="15" relation="usage">
          <edgelabel>extidFilter</edgelabel>
        </childnode>
      </node>
      <node id="15">
        <label>cy_stc_extid_filter_t</label>
        <link refid="structcy__stc__extid__filter__t" />
        <childnode refid="16" relation="usage">
          <edgelabel>f1_f</edgelabel>
        </childnode>
        <childnode refid="17" relation="usage">
          <edgelabel>f0_f</edgelabel>
        </childnode>
      </node>
      <node id="13">
        <label>cy_stc_canfd_global_filter_config_t</label>
        <link refid="structcy__stc__canfd__global__filter__config__t" />
      </node>
      <node id="11">
        <label>cy_stc_canfd_sid_filter_config_t</label>
        <link refid="structcy__stc__canfd__sid__filter__config__t" />
        <childnode refid="12" relation="usage">
          <edgelabel>sidFilter</edgelabel>
        </childnode>
      </node>
      <node id="17">
        <label>cy_stc_canfd_f0_t</label>
        <link refid="structcy__stc__canfd__f0__t" />
      </node>
      <node id="10">
        <label>cy_en_canfd_fifo_config_t</label>
        <link refid="structcy__en__canfd__fifo__config__t" />
      </node>
      <node id="12">
        <label>cy_stc_id_filter_t</label>
        <link refid="structcy__stc__id__filter__t" />
      </node>
      <node id="20">
        <label>cy_stc_canfd_rx_buffer_t</label>
        <link refid="structcy__stc__canfd__rx__buffer__t" />
        <childnode refid="21" relation="usage">
          <edgelabel>r1_f</edgelabel>
        </childnode>
        <childnode refid="22" relation="usage">
          <edgelabel>r0_f</edgelabel>
        </childnode>
      </node>
      <node id="16">
        <label>cy_stc_canfd_f1_t</label>
        <link refid="structcy__stc__canfd__f1__t" />
      </node>
      <node id="19">
        <label>cy_stc_canfd_bitrate_t</label>
        <link refid="structcy__stc__canfd__bitrate__t" />
      </node>
      <node id="22">
        <label>cy_stc_canfd_r0_t</label>
        <link refid="structcy__stc__canfd__r0__t" />
      </node>
      <node id="9">
        <label>cy_stc_canfd_config_t</label>
        <link refid="structcy__stc__canfd__config__t" />
        <childnode refid="10" relation="usage">
          <edgelabel>rxFIFO1Config</edgelabel>
          <edgelabel>rxFIFO0Config</edgelabel>
        </childnode>
        <childnode refid="11" relation="usage">
          <edgelabel>sidFilterConfig</edgelabel>
        </childnode>
        <childnode refid="13" relation="usage">
          <edgelabel>globalFilterConfig</edgelabel>
        </childnode>
        <childnode refid="14" relation="usage">
          <edgelabel>extidFilterConfig</edgelabel>
        </childnode>
        <childnode refid="18" relation="usage">
          <edgelabel>tdcConfig</edgelabel>
        </childnode>
        <childnode refid="19" relation="usage">
          <edgelabel>bitrate</edgelabel>
          <edgelabel>fastBitrate</edgelabel>
        </childnode>
        <childnode refid="20" relation="usage">
          <edgelabel>rxCallback</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="1015" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="984" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="985" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a4f9e70770fabc4e2f30fe3afb1e5bdbc" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>bitrate</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a4e646590fd0340412706240165b2ca5b" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>canFDMode</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a66f9add9dd98537b2d1d4c1b369fe0e1" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>errorCallback</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a4ab0d26238c986888bf65ae80e0e175e" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>extidFilterConfig</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a19c6a983ebc83d9d41b91051c3ac1475" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>fastBitrate</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1ad2da947ab1dff48e27e573b3507a09d5" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>globalFilterConfig</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a35b74b67874a762aea0f8838b48c17d1" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>messageRAMaddress</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1af94ab4eadf197c0255f3e48110876a81" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>messageRAMsize</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1aa1d31fe51cdec3d61ffc472a5437669c" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>noOfRxBuffers</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a0e1e8fcb815a5ac12419846bfa62983c" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>noOfTxBuffers</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1acdf11ae3147955283e3809dd1d6aff10" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>rxBufferDataSize</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a4c1d3eeac750ecfa211f16bb114b40f0" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>rxCallback</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1ad7ec96f89dad017a8e88b1062dc84744" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>rxFIFO0Config</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a6d0ff7799d658b6aa701de2c0e6a2b93" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>rxFIFO0DataSize</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a2afbb08cdcc56f61464575173814c697" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>rxFIFO1Config</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1aba42ca078816d42e556a2c58311de0a9" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>rxFIFO1DataSize</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a5c9e57996362783bb00ebf6a976b4de5" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>sidFilterConfig</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1af81798ff8af877f4020a1fe32de2204c" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>tdcConfig</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1a69ecb6951bb6266be8cc50a578eda4ef" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>txBufferDataSize</name></member>
      <member prot="public" refid="structcy__stc__canfd__config__t_1ad1e96688270897e1705ca7b66e8844ae" virt="non-virtual"><scope>cy_stc_canfd_config_t</scope><name>txCallback</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>